#include <Wire.h>
#include <Adafruit_INA219.h>

Adafruit_INA219 ina219;

void setup(void) 
{  Serial.begin(9600);

  ina219.begin();
}

void loop(void) 
{
}

void serialEvent() {

  while (Serial.available()) {
    char inputByte = Serial.read();

    switch (inputByte) {
    case 'S':  // S command returns shunt voltage
      Serial.println(ina219.getShuntVoltage_mV());
      break;
    case 'B': // B command returns bus voltage
      Serial.println(ina219.getBusVoltage_V());
      break;
    case 'C':
      Serial.println(ina219.getCurrent_mA());
      break;
    case 'L':
      Serial.println((ina219.getBusVoltage_V() + (ina219.getShuntVoltage_mV() / 1000)));
      break;
    }
    delay(1000);   
  }
}

